summaryrefslogtreecommitdiffstats
path: root/iwyu/run_iwyu.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:58:07 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:58:07 +0000
commit10eea2ab1bae2a8ec159d81c0446fd8061b33e2b (patch)
treee8270dd60ec096bee8157dbadf029e15ed584592 /iwyu/run_iwyu.sh
parentInitial commit. (diff)
downloadhtop-10eea2ab1bae2a8ec159d81c0446fd8061b33e2b.tar.xz
htop-10eea2ab1bae2a8ec159d81c0446fd8061b33e2b.zip
Adding upstream version 3.3.0.upstream/3.3.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'iwyu/run_iwyu.sh')
-rwxr-xr-xiwyu/run_iwyu.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/iwyu/run_iwyu.sh b/iwyu/run_iwyu.sh
new file mode 100755
index 0000000..8456240
--- /dev/null
+++ b/iwyu/run_iwyu.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+SCRIPT=$(readlink -f "$0")
+SCRIPTDIR=$(dirname "$SCRIPT")
+SOURCEDIR="$SCRIPTDIR/.."
+
+PKG_NL3=$(pkg-config --cflags libnl-3.0)
+
+IWYU=${IWYU:-iwyu}
+
+cd "$SOURCEDIR" || exit
+
+./configure CC=clang CXX=clang++ --enable-silent-rules
+make clean
+make -k -s CC="$IWYU" CFLAGS="-Xiwyu --no_comments -Xiwyu --no_fwd_decl -Xiwyu --mapping_file='$SCRIPTDIR/htop.imp' $PKG_NL3"